*,
*:after,
*::before {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

nav a {
	position: relative;
	display: inline-block;
	margin: 0px 0px;
	outline: none;
	color: #09cfec;
	text-decoration: none;
	letter-spacing: .1px;
	font-weight: 300;
	text-shadow: 0 0 1px rgba(255,255,255,0.3);
	font-size: 1em;
}

nav a:hover,
nav a:focus {
	outline: none;
}
.container > section {
	margin: 0 auto;
	padding: 0.1em 0.1em;
	text-align: left;
}

.color-1 {
	background: #000000;
}


/* spin-effect: 3D side */
.spin-effect a {
	line-height: 1em;
	margin: 1px;
	-webkit-perspective: 400px;
	-moz-perspective: 400px;
	perspective: 400px;
	width: 60px;
}

.spin-effect a span {
	position: relative;
	display: inline-block;
	width: 100%;
	padding: 0 1px;
	background: #000000;
	-webkit-transition: -webkit-transform 0.4s, background 0.4s;
	-moz-transition: -moz-transform 0.4s, background 0.4s;
	transition: transform 0.4s, background 0.4s;
	-webkit-transform-style: preserve-3d;
	-moz-transform-style: preserve-3d;
	transform-style: preserve-3d;
	-webkit-transform-origin: 50% 50% -30px;
	-moz-transform-origin: 50% 50% -30px;
	transform-origin: 50% 50% -30px;
}

.csstransforms3d .spin-effect a span::before {
	position: absolute;
	top: 0;
	left: 100%;
	width: 100%;
	height: 100%;
	background: #000000;
	content: attr(data-hover);
	-webkit-transition: background 0.4s;
	-moz-transition: background 0.4s;
	transition: background 0.4s;
	-webkit-transform: rotateY(90deg);
	-moz-transform: rotateY(90deg);
	transform: rotateY(90deg);
	-webkit-transform-origin: 0 30%;
	-moz-transform-origin: 0 30%;
	transform-origin: 0 30%;
	pointer-events: none;
}

.spin-effect a:hover span,
.spin-effect a:focus span {
	background: #000000;
	-webkit-transform: rotateY(-90deg);
	-moz-transform: rotateY(-90deg);
	transform: rotateY(-90deg);
}

.csstransforms3d .spin-effect a:hover span::before,
.csstransforms3d .spin-effect a:focus span::before {
	background: #000000;	
}

